Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(885)

Issue 5695043: Partial Visibility (Sculpt) (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
12 years, 2 months ago by nicholasbishop
Modified:
12 years, 2 months ago
Reviewers:
brechtvl, bf-codereview
Base URL:
https://svn.blender.org/svnroot/bf-blender/trunk/blender/
Visibility:
Public.

Description

This patch re-introduces the partial visibility feature for sculpt mode. If you use git, here is a tar of the individual patches: http://wiki.blender.org/uploads/a/a9/Partial-visibility-03.tar.bz2 Documentation: http://wiki.blender.org/index.php/User:Nicholasbishop/PartialVisibility

Patch Set 1 #

Patch Set 2 : Update to apply cleanly against latest trunk #

Total comments: 5

Patch Set 3 : Update from review #

Patch Set 4 : Fix more signedness differences #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1399 lines, -153 lines) Patch
source/blender/blenkernel/BKE_multires.h View 1 2 2 chunks +14 lines, -4 lines 0 comments Download
source/blender/blenkernel/BKE_paint.h View 1 2 3 2 chunks +10 lines, -2 lines 0 comments Download
source/blender/blenkernel/BKE_subsurf.h View 1 2 3 3 chunks +23 lines, -3 lines 0 comments Download
source/blender/blenkernel/intern/CCGSubSurf.c View 1 2 1 chunk +1 line, -1 line 0 comments Download
source/blender/blenkernel/intern/DerivedMesh.c View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
source/blender/blenkernel/intern/cdderivedmesh.c View 1 2 1 chunk +3 lines, -1 line 0 comments Download
source/blender/blenkernel/intern/customdata.c View 1 2 5 chunks +40 lines, -5 lines 0 comments Download
source/blender/blenkernel/intern/multires.c View 1 2 9 chunks +95 lines, -9 lines 0 comments Download
source/blender/blenkernel/intern/paint.c View 1 2 3 2 chunks +36 lines, -1 line 0 comments Download
source/blender/blenkernel/intern/subsurf_ccg.c View 1 2 3 7 chunks +66 lines, -7 lines 0 comments Download
source/blender/blenlib/BLI_pbvh.h View 1 2 3 9 chunks +41 lines, -3 lines 0 comments Download
source/blender/blenlib/intern/pbvh.c View 1 2 3 17 chunks +167 lines, -40 lines 0 comments Download
source/blender/blenloader/intern/readfile.c View 1 2 2 chunks +15 lines, -0 lines 0 comments Download
source/blender/blenloader/intern/writefile.c View 1 2 4 chunks +24 lines, -0 lines 0 comments Download
source/blender/editors/sculpt_paint/CMakeLists.txt View 1 2 1 chunk +1 line, -0 lines 0 comments Download
source/blender/editors/sculpt_paint/paint_hide.c View 1 2 3 1 chunk +429 lines, -0 lines 0 comments Download
source/blender/editors/sculpt_paint/paint_intern.h View 1 2 1 chunk +15 lines, -1 line 0 comments Download
source/blender/editors/sculpt_paint/paint_ops.c View 1 2 3 chunks +22 lines, -0 lines 0 comments Download
source/blender/editors/sculpt_paint/sculpt.c View 1 2 12 chunks +12 lines, -11 lines 0 comments Download
source/blender/editors/sculpt_paint/sculpt_intern.h View 1 2 5 chunks +12 lines, -1 line 0 comments Download
source/blender/editors/sculpt_paint/sculpt_undo.c View 1 2 13 chunks +189 lines, -27 lines 0 comments Download
source/blender/gpu/GPU_buffers.h View 1 2 3 2 chunks +5 lines, -2 lines 0 comments Download
source/blender/gpu/intern/gpu_buffers.c View 1 2 3 10 chunks +130 lines, -23 lines 0 comments Download
source/blender/makesdna/DNA_customdata_types.h View 1 2 3 chunks +7 lines, -3 lines 0 comments Download
source/blender/makesdna/DNA_meshdata_types.h View 1 2 3 1 chunk +18 lines, -0 lines 0 comments Download
source/blender/modifiers/intern/MOD_multires.c View 1 2 3 chunks +17 lines, -9 lines 0 comments Download
source/blender/windowmanager/intern/wm_operators.c View 1 2 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 8
nicholasbishop
12 years, 2 months ago (2012-02-23 02:41:59 UTC) #1
nicholasbishop
Update to apply cleanly against latest trunk
12 years, 2 months ago (2012-02-24 22:34:37 UTC) #2
nicholasbishop
On 2012/02/24 22:34:37, nicholasbishop wrote: > Update to apply cleanly against latest trunk Updated git ...
12 years, 2 months ago (2012-02-24 22:35:33 UTC) #3
brechtvl
Code looks solid to me, couldn't spot bugs, just some code style and naming comments. ...
12 years, 2 months ago (2012-02-29 13:08:05 UTC) #4
nicholasbishop
Update from review
12 years, 2 months ago (2012-02-29 21:28:52 UTC) #5
nicholasbishop
Thanks for reviewing, added a new patch with naming and signedness issues fixed. > source/blender/blenkernel/BKE_subsurf.h:65: ...
12 years, 2 months ago (2012-02-29 21:39:08 UTC) #6
nicholasbishop
Fix more signedness differences
12 years, 2 months ago (2012-03-01 01:01:19 UTC) #7
nicholasbishop
12 years, 2 months ago (2012-03-14 06:34:28 UTC) #8
Committed as r44864 to r44872.

Committed code combines MDisps and GridHidden structs as suggested.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b